Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 08 Jul 2021 12:36:43 +0000

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I ordered and made my first payment via Tabby. First payment was debited to my account but I received below email from Splash.

Sorry, your order number 9676311961 was not processed.
Hi Ronaldo Reyes, we were unable to complete your purchase at this time. Please note, no amount has been deducted from your card.

What is the status of my order? Is it really cancelled? When can I get back the deducted amount from my card? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2825512